#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    long long n;
    cin>>t;

    if(t==1)
    {
            cin>>n;
        vector<long long>v;
        for(int i=0;i<n;i++)
        {
            int u;
            cin>>u;
            v.push_back(u);
        }


            vector<long long> niz1;
        vector<long long> niz2;
        for(int i=0;i<n;i++)
        {
            if(v[i]!=0)
            {
                niz1.push_back(i);

                for(int j=i+1;j<n;j++)
                {
                    if(v[i]==v[j])
                    {
                        niz2.push_back(j);
                        v[j]=0;
                        v[i]=0;
                        break;
                    }
                }
            }

        }
        for(int i=0;i<niz1.size();i++)
        {
            cout<<niz1[i]<<endl;

        }
        for(int i=0;i<niz2.size();i++)
        {
            cout<<niz2[i]<<endl;

        }
    }
    else if(t!=1)
    {
        for(int j=0;j<t;j++)
        {
            cin>>n;
            vector<long long>v;
            for(int i=0;i<n;i++)
            {
                int u;
                cin>>u;
                v.push_back(u);
            }
            vector<long long> niz1;
            vector<long long> niz2;
            for(int i=0;i<n;i=i+2)
            {
                cout<<i<<endl;
            }
            for(int i=1;i<n;i=i+2)
            {
                cout<<i<<endl;
            }

        }

    }

    return 0;
}
